summaryrefslogtreecommitdiff
path: root/nonsystemd/acpid-openrc/acpid.initd
diff options
context:
space:
mode:
authorDavid P <megver83@parabola.nu>2022-07-17 19:05:37 -0400
committerDavid P <megver83@parabola.nu>2022-07-17 19:05:37 -0400
commite0d7c1febf84dd2a7e647b0eba6b6112214724b5 (patch)
treee6d652bfd8cb8b7b3ea88dab2b4b932443bc9e70 /nonsystemd/acpid-openrc/acpid.initd
parentb9e353f2461a5898ed4984372022734ff2558668 (diff)
downloadabslibre-e0d7c1febf84dd2a7e647b0eba6b6112214724b5.tar.gz
abslibre-e0d7c1febf84dd2a7e647b0eba6b6112214724b5.tar.bz2
abslibre-e0d7c1febf84dd2a7e647b0eba6b6112214724b5.zip
addpkg: nonsystemd/acpid-openrc 20210506-1
Signed-off-by: David P <megver83@parabola.nu>
Diffstat (limited to 'nonsystemd/acpid-openrc/acpid.initd')
-rw-r--r--nonsystemd/acpid-openrc/acpid.initd22
1 files changed, 22 insertions, 0 deletions
diff --git a/nonsystemd/acpid-openrc/acpid.initd b/nonsystemd/acpid-openrc/acpid.initd
new file mode 100644
index 000000000..98e36a2ff
--- /dev/null
+++ b/nonsystemd/acpid-openrc/acpid.initd
@@ -0,0 +1,22 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+extra_started_commands="reload"
+command="/usr/bin/acpid"
+command_args="${ACPID_ARGS}"
+description="Daemon for Advanced Configuration and Power Interface"
+supervisor="supervise-daemon"
+command_args_foreground="--foreground"
+#pidfile="/run/acpid.pid"
+
+depend() {
+ need localmount
+ use logger
+}
+
+reload() {
+ ebegin "Reloading acpid configuration"
+ ${supervisor} ${RC_SVCNAME} --signal HUP --pidfile /run/acpid.pid
+ eend $?
+}